INTERFACE
SUBROUTINE REFLSIM_2DOP(KDLEN,KDBDY,KLEN,KHORIZ,KDCOUNT,KCOUNT,KPNLV,PTF5,PQF5,PCLWF5,&
 & PCIWF5,PCSWF5,PCRWF5,PCGWF5,PGEOPF5,KDPP,PXPP) 
USE PARKIND1,ONLY : JPIM, JPRB
USE YOMDIM ,ONLY : NFLEVG
USE YOMDB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN,KDBDY,KLEN,KDCOUNT,KHORIZ
INTEGER(KIND=JPIM),INTENT(IN) :: KDPP
INTEGER(KIND=JPIM),INTENT(IN),DIMENSION(KLEN) :: KCOUNT
INTEGER(KIND=JPIM),INTENT(IN),DIMENSION(KDLEN,KDBDY) :: KPNLV
REAL(KIND=JPRB),INTENT(IN), DIMENSION(KDLEN,0:NFLEVG,KHORIZ) :: PTF5,PQF5
REAL(KIND=JPRB),INTENT(INOUT),DIMENSION(KDLEN,0:NFLEVG,KHORIZ) :: PCLWF5,PCIWF5,PCSWF5,PCRWF5,PCGWF5
REAL(KIND=JPRB),INTENT(OUT), DIMENSION(KDLEN,KDCOUNT,KDPP,KHORIZ) :: PXPP
REAL(KIND=JPRB),INTENT(IN), DIMENSION(KDLEN,NFLEVG,KHORIZ) :: PGEOPF5
REAL(KIND=JPRB),DIMENSION(:), ALLOCATABLE :: ZWKGEOPF5
END SUBROUTINE REFLSIM_2DOP
END INTERFACE
